<?xml version="1.0"?> 
<!-- Copyright 1998-2003 W3C (MIT, ERCIM, Keio), All Rights Reserved. See http://www.w3.org/Consortium/Legal/. -->
<xsl:stylesheet
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns="http://www.w3.org/2001/vxml"
    version="1.0">

<xsl:template name="emit-default-properties">
	<xsl:text>
	</xsl:text>
	<xsl:comment>Default properties from stylesheet</xsl:comment>
    	<property name="completetimeout" value="0.4s"/>
    	<property name="incompletetimeout" value="1s"/>
    	<property name="maxspeechtimeout" value="15s"/>
    	<property name="interdigittimeout" value="3s"/>
    	<property name="bargeintype" value="speech"/>
    	<property name="timeout" value="6s"/>
    	<property name="audiomaxage" value="86400"/>		<!-- one day -->
    	<property name="audiomaxstale" value="0"/>		<!-- stale means stale -->
    	<property name="documentmaxage" value="86400"/>
    	<property name="documentmaxstale" value="0"/>
    	<property name="grammarmaxage" value="86400"/>
    	<property name="grammarmaxstale" value="0"/>
    	<property name="objectmaxage" value="86400"/>
    	<property name="objectmaxstale" value="0"/>
    	<property name="scriptmaxage" value="86400"/>
    	<property name="scriptmaxstale" value="0"/>
    	<property name="fetchaudiodelay" value="1s"/>
    	<property name="fetchaudiominimum" value="0s"/>
    	<property name="fetchtimeout" value="20s"/>		<!-- allows for jsp compilation, etc -->
        <xsl:comment>End of default properties from stylesheet</xsl:comment>
	<xsl:text>
	</xsl:text>
</xsl:template>

</xsl:stylesheet>