<%@ page language="java" contentType="text/html" %>

<!doctype html public "-//w3c//dtd html 4.0 transitional//en">



<!--  Copyright (c) 2008 VoiceXML Forum.  All rights reserved. -->

<!--  VOICEXML FORUM CONFIDENTIAL                              -->

<!--  PRELIMINARY VERSION FOR DISTRIBUTION TO MEMBERS ONLY.    -->



<html>

<head>

<link rel="stylesheet" href="style.css">

<title> VoiceXML Forum Conformance Test Suite </title>

</head>

<body>

<% 
String testSuite = request.getParameter("testSuite"); 
String manifest_html = testSuite + "/manifest.html";
String testSuiteTitle;
if (testSuite.compareTo("vxml20_1.0.1d") == 0) {
	testSuiteTitle = "VoiceXML 2.0 Version 1.0.1d";
} else if (testSuite.compareTo("vxml21_0.0.5") == 0) {
        testSuiteTitle = "VoiceXML 2.1 Version 0.0.5";
} else if (testSuite.compareTo("srgs10_0.0.7") == 0) {
        testSuiteTitle = "SRGS 1.0 Version 0.0.7";
} else { testSuiteTitle = "Unknown!!!"; }
%>

<h1> Conformance Test Viewer </h1>

<h2> Test Suite: <%=testSuiteTitle%> </h2>

<form name="viewform" action="viewtest.jsp" method="get">

Enter assertion number: <p>

<table>

  <tr>

    <td>

      Assertion #: 

    </td>

    <td>

      <input name="assertId" value=""> 

    </td>

  </tr>

</table>

<br>

<input name="testSuite" type="hidden" value="<%=testSuite%>">
<input name="gramType" type="hidden" value="vxml-srgs">

<input type="submit">

<p>
<a href="index.jsp"> Browse a different test suite </a>

<p>

<b> Running Conformance Tests: </b><br>

To interactively run conformance tests, point your browser at the following URL:

<p>

<%
    StringBuffer path = request.getRequestURL();
    String rootPath = path.toString();
    int i = path.toString().lastIndexOf("view.jsp");
    if (i!=-1)    
    {
      path = new StringBuffer(path.toString().substring(0,i));
      rootPath = path.toString();
    }
    path.append("testmenu.jsp?testSuite=");
    path.append(testSuite);
    String initialURL = path.toString();
%>
<script language="JavaScript1.2">

var confURL = '<%=initialURL%>';

function changeURL(e)
{
  var user_input = document.viewform.gramType;
  document.getElementById('confpath').value = confURL + user_input;
}
</script>
<input type="text" value="<%=path%>" size="150" name="confpath" style="border:none"/>
</form>

<p>

<script>
window.onload = function()
{
   var links = document.links;
   if (links)
   {
      for (var i = 0; i < links.length; i++)
      {
         links[i].onclick = linkOnClick;
      }
   }
}
function linkOnClick()
{
  var h = this.href;
  var action = true;
  var i = -1;
  if ((i = h.indexOf('assertId='))!=-1)
  {
     try
     {
	     var part = h.substring(i);
	     var user_input = document.viewform.gramType;
	     this.href = '<%=rootPath%>viewtest.jsp?testSuite=<%=testSuite%>&' + part;
     }
     catch (e)
     {
         alert(e.message); 
     }
  }
  return action;
}
</script>

<p>

<jsp:include page="<%=manifest_html%>"/>

<center> 

<P><FONT size=2 

face="Verdana, Arial, Helvetica, sans-serif">Accelerate your VoiceXML conformance testing efforts! <A 

                              href="http://www.voicexml.org/join.html"> Join</A> 

                              the VoiceXML Forum, or upgrade your membership 

                              level, to obtain a FREE copy of the VoiceXML Forum's Conformance Test Harness.</FONT></P>

                              <P>&nbsp;</P>

                              <P align=center><IMG height=24 

                              src="images/divider.gif" width=417></P>

                              <P align=center><FONT 

                              face="Verdana, Arial, Helvetica, sans-serif" 

                              size=1>Copyright © 2003 -2008VoiceXML Forum.</FONT> 

                              <FONT face="Verdana, Arial, Helvetica, sans-serif" 

                              size=1>All rights reserved.<BR>The VoiceXML Forum 

                              is a program of the<BR><A 

                              href="http://www.ieee-isto.org/" 

                              target=_blank>IEEE Industry Standards and 

                              Technology Organization</A> 

                            (IEEE-ISTO)</FONT></P>    

</center>

</form>

</body>

</html>



