<%@ page language="java" contentType="text/html" import="java.util.*,java.io.*,org.voicexml.conformance.testharness.*" %>



<!--  Copyright (c) 2008 VoiceXML Forum.  All rights reserved. -->

<!--  VOICEXML FORUM CONFIDENTIAL                              -->

<!--  PRELIMINARY VERSION FOR DISTRIBUTION TO MEMBERS ONLY.    -->



<!doctype html public "-//w3c//dtd html 4.0 transitional//en">

<html>

<head>

<link rel="stylesheet" href="style.css">

<title> VoiceXML Forum Conformance Test Suite </title>

</head>

<body>

<center> 

<img src="images/logo.gif"> 

</center>

<%

String depUri = request.getParameter("depUri");

String depType = request.getParameter("depType");

String assertId = request.getParameter("assertId");

String gramType = "vxml-srgs";

String testSuite = request.getParameter("testSuite");

String WebAppDirectory = getServletContext().getRealPath("/");

String URL = request.getRequestURL().toString();
String ServletPath  = request.getServletPath();
String DocumentRoot = URL;
int i = URL.lastIndexOf(ServletPath);
if (i != -1 ) {
        DocumentRoot = URL.substring(0,i);
}

AssertionTestLoader atl = AssertionTestLoader.getInstance(WebAppDirectory, DocumentRoot, testSuite);

String basedir = atl.getBaseDir();

String assertText = atl.getAssertionText(assertId);

String section = atl.getSection(assertId);

Dictionary depends = atl.getTestDependencies(assertId);

String SpecDoc;
String SpecSectionDelimiter;

if (testSuite.compareTo("vxml20_1.0.1d") == 0) {
        SpecDoc = "http://www.w3.org/TR/voicexml20/";
        SpecSectionDelimiter = "#dml";
} else if (testSuite.compareTo("vxml21_0.0.5") == 0) {
        SpecDoc = "http://www.w3.org/TR/voicexml21/";
        SpecSectionDelimiter = "#";
} else if (testSuite.compareTo("srgs10_0.0.7") == 0) {
        SpecDoc = "http://www.w3.org/TR/speech-grammar/";
        SpecSectionDelimiter = "#S";
} else {
        SpecDoc = "/";
        SpecSectionDelimiter = "#";
}


String inputType = depType;

String outputType = "Text";

if(depType.equals("text/x-txml")) {

    inputType = "TXML";

    outputType = "VoiceXML";

} else if(depType.equals("application/x-ircgi")) {

    inputType = "IRCGI";

    outputType = "JSP";

}

%>

<h2> Dependency (<%=depUri%>) for <a href="viewtest.jsp?testSuite=<%=testSuite%>&assertId=<%=assertId%>">Assertion # <%=assertId%></a></h2>

<p>

<%

if (section != null) {

%>

<b> Section: </b> <a href="<%=SpecDoc%><%=SpecSectionDelimiter%><%=section%>" target="new"><%=section%></a>

<%

}

%> 

<br>

<b>Description:</b> <%=assertText%>

<p>

<b> <%=outputType%> Code: </b> (generated from the test input source shown below)

<table class="code">

  <tr>

    <td>

      <pre><%atl.writeVXMLOutput(out,gramType,assertId, testSuite);%></pre>

    </td>

  </tr>

</table> 

<p>

<b> <%=inputType%> Input Source: </b>

<table class="code">

  <tr>

    <td>

      <pre><%atl.writeDependencyOutput(out,gramType,depUri, testSuite);%></pre>

    </td>

  </tr>

</table> 



<p>

<a href="viewtest.jsp?testSuite=<%=testSuite%>&assertId=<%=assertId%>"> Return to main test file for assertion <%=assertId%>. </a> 

<center> 

                             <P>&nbsp;</P>

                              <P align=center><IMG height=24 

                              src="images/divider.gif" width=417></P>

                              <P align=center><FONT 

                              face="Verdana, Arial, Helvetica, sans-serif" 

                              size=1>Copyright  20037-2008 VoiceXML Forum.</FONT> 

                              <FONT face="Verdana, Arial, Helvetica, sans-serif" 

                              size=1>All rights reserved.<BR>The VoiceXML Forum 

                              is a program of the<BR><A 

                              href="http://www.ieee-isto.org/" 

                              target=_blank>IEEE Industry Standards and 

                              Technology Organization</A> 

                            (IEEE-ISTO)</FONT></P>    

</center>           

</body>

</html>

