<%@ page language="java" contentType="text/xml" import="java.io.*, org.voicexml.conformance.testharness.*" %><?xml version="1.0" ?>

<!--  Copyright (c) 2008 VoiceXML Forum.  All rights reserved. -->
<!--  VOICEXML FORUM CONFIDENTIAL                              -->
<!--  PRELIMINARY VERSION FOR DISTRIBUTION TO MEMBERS ONLY.    -->

<vxml version="2.0" xmlns="http://www.w3.org/2001/vxml">
    <form>
<%

String testId = request.getParameter("assertId");
String gramType = "vxml-srgs";
String testSuite = request.getParameter("testSuite");

String WebAppDirectory = getServletContext().getRealPath("/");

String URL = request.getRequestURL().toString();
String ServletPath  = request.getServletPath();
String DocumentRoot = URL;
int i = URL.lastIndexOf(ServletPath);
if (i != -1 ) {
        DocumentRoot = URL.substring(0,i);
}

AssertionTestLoader atl = AssertionTestLoader.getInstance(WebAppDirectory, DocumentRoot, testSuite);
String startUri = atl.getStartUri(testId);
if(startUri != null) {
    String targetUri = testSuite + "/" + gramType + "/" + startUri;
%>
        <var name="testId" expr="<%=testId%>"/>

        <field name="announceAndFlush" type="boolean">		<!-- needs a dummy grammar, boolean will do -->

            <property name="timeout" value="0s"/>

            <prompt cond="testId != 629" bargein="false">
                Assertion <%=testId%>.
            </prompt>

            <catch event="noinput nomatch"> <!-- expecting a noinput, catch nomatch just in case -->
                <goto next="<%=targetUri%>"/>
            </catch>

            <filled>		<!-- just in case -->
                <goto next="<%=targetUri%>"/>
            </filled>

        </field>
<%            
} else {
%> 
        <block>
            <prompt>
                Assertion <%=testId%> doesn't exist.
            </prompt>
            <exit/>
        </block>
<%
}
%>            
    </form>
</vxml>

