<%@ page language="java" contentType="text/xml" %><?xml version="1.0" ?>

<!--  Copyright (c) 2008 VoiceXML Forum.  All rights reserved. -->
<!--  VOICEXML FORUM CONFIDENTIAL                              -->
<!--  PRELIMINARY VERSION FOR DISTRIBUTION TO MEMBERS ONLY.    -->

<%
String testSuite = request.getParameter("testSuite");
String gramType =  "vxml-srgs";
%>
<vxml version="2.0" xmlns="http://www.w3.org/2001/vxml">
    <form>
        <property name="universals" value="all"/>
        
        <catch event="connection.disconnect">
            <submit next="logoff.jsp"/>
        </catch>
<% 
String str = (String) session.getValue("secondTime");
if(str == null) {
    session.putValue("secondTime","yup");
}   
%>        
        <field name="assertId">
            <!-- explicitly set this to avoid inter-platform behavioural difference -->
            <property name="interdigittimeout" value="3s"/>

            <!-- allow assertion IDs ranging from 1 to 9999 -->
            <grammar mode="voice" version="1.0" root="assertionv" type="application/srgs+xml">
                <rule id="assertionv">
                    <item repeat="1-4">
                    	<one-of>
                        	<item>0</item>
                        	<item>1</item>
                        	<item>2</item>
                        	<item>3</item>
                        	<item>4</item>
                        	<item>5</item>
                        	<item>6</item>
                        	<item>7</item>
                        	<item>8</item>
                        	<item>9</item>
                    	</one-of>
		   </item>    
                </rule>
            </grammar>

            <grammar mode="dtmf" version="1.0" root="assertiond" type="application/srgs+xml">
                <rule id="assertiond">
			<item repeat="1-4">
                    		<one-of>
                        		<item>0</item>
                        		<item>1</item>
                        		<item>2</item>
                        		<item>3</item>
                        		<item>4</item>
                        		<item>5</item>
                        		<item>6</item>
                        		<item>7</item>
                        		<item>8</item>
                        		<item>9</item>
                    		</one-of>
			</item>    
                </rule>
            </grammar>

	    <audio src="prompts/testnumber.wav">Please say or key in the assertion number</audio>
            <noinput>
                <audio src="prompts/noinput.wav"> Didn't get that.  Try entering that again. </audio>
            </noinput>
            <help>
              <audio src="prompts/help.wav">
                Help. Please say or key in the assertion number that you want to test.
              </audio>
            </help>
        </field>
        <block>
        	<!-- allow for platforms which space-tokenize DTMF results -->
		<script>
			assertId = assertId.replace(" ","").replace(" ","").replace(" ","").replace(" ","");
		</script>
		<submit next="fetchtest.jsp?testSuite=<%=testSuite%>"/>		
        </block>
    </form>
</vxml>
